Page MenuHomePhabricator

Installing kibana indices on elasticsearch 5.5+ fail
Closed, ResolvedPublic

Description

Hi, since updating elasticsearch to 5.5+ installing kibana indices in elasticsearch is failing

root@mediawikivagrant:/home/vagrant# curl -XPUT localhost:9200/.kibana --data-binary @/vagrant/puppet/modules/kibana/files/kibana-mapping.json
{"error":{"root_cause":[{"type":"illegal_argument_exception","reason":"unknown setting [index.creation_date] please check that any required plugins are installed, or check the breaking changes documentation for removed settings"}],"type":"illegal_argument_exception","reason":"unknown setting [index.creation_date] please check that any required plugins are installed, or check the breaking changes documentation for removed settings"},"status":400}root@mediawikivagrant:/home/vagrant#

Event Timeline

Paladox created this task.Dec 22 2017, 9:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 22 2017, 9:33 PM
Paladox renamed this task from install python-setuptools and python-wheel to Installing kibana indices on elasticsearch 5.5+ fail.Dec 22 2017, 9:34 PM

Change 399951 had a related patch set (by Paladox) published:
[mediawiki/vagrant@master] Fix kibana index on elasticsearch 5.5

https://gerrit.wikimedia.org/r/399951

Change 399951 abandoned by Paladox:
Fix kibana index on elasticsearch 5.5

https://gerrit.wikimedia.org/r/399951

Change 399967 had a related patch set (by Paladox) published:
[mediawiki/vagrant@stretch-migration] Fix kibana index on elasticsearch 5.5

https://gerrit.wikimedia.org/r/399967

Change 399967 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] Fix kibana index on elasticsearch 5.5

https://gerrit.wikimedia.org/r/399967